Package org.eclipse.core.runtime.preferences

# Class ConfigurationScope

java.lang.Object
org.eclipse.core.internal.preferences.AbstractScope
org.eclipse.core.runtime.preferences.ConfigurationScope

All Implemented Interfaces:
  `IScopeContext`

public final class ConfigurationScope extends org.eclipse.core.internal.preferences.AbstractScope
Object representing the configuration scope in the Eclipse preferences hierarchy. Can be used as a context for searching for preference values (in the IPreferencesService APIs) or for determining the correct preference node to set values in the store.

Configuration preferences are stored on a per configuration basis in the platform's configuration area. (The configuration area typically contains the list of plug-ins available for use, various settings (those shared across different instances of the same configuration) and any other such data needed by plug-ins.)

The path for preferences defined in the configuration scope hierarchy is as follows: `/configuration/<qualifier>`

This class is not intended to be subclassed. This class may be instantiated.

Since:
  3.0
See Also:
  - `Location.CONFIGURATION_FILTER`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IScopeContext`
`INSTANCE`
Singleton instance of a Configuration Scope object.
`static final String`
`SCOPE`
String constant (value of `"configuration"`) used for the scope name for the configuration preference scope.

### Fields inherited from interface org.eclipse.core.runtime.preferences.IScopeContext

`BUNDLE_SCOPE_FILTER, PROPERTY_TYPE, TYPE_BUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationScope()`
Deprecated.
use `ConfigurationScope.INSTANCE` instead

## Method Summary

Modifier and Type
Method
Description
`IPath`
`getLocation()`
Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.
`String`
`getName()`
Return the name of the scope that this context is associated with.

### Methods inherited from class org.eclipse.core.internal.preferences.AbstractScope

`equals, getNode, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCOPE

public static final String SCOPE
String constant (value of `"configuration"`) used for the scope name for the configuration preference scope.

See Also:
  - Constant Field Values

### INSTANCE

public static final IScopeContext INSTANCE
Singleton instance of a Configuration Scope object. Typical usage is: `ConfigurationScope.INSTANCE.getNode(...);`

Since:
  3.4

## Constructor Details

### ConfigurationScope

@Deprecated public ConfigurationScope()
Deprecated.
use `ConfigurationScope.INSTANCE` instead
Create and return a new configuration scope instance.

## Method Details

### getName

public String getName()
Description copied from interface: `IScopeContext`
Return the name of the scope that this context is associated with. Must not be `null`.

Returns:
  the name of the scope

### getLocation

public IPath getLocation()
Description copied from interface: `IScopeContext`
Return a path to a location in the file-system where clients are able to write files that will have the same sharing/scope properties as preferences defined in this scope.

Implementors may return `null` if the location is not known, is unavailable, or is not applicable to this scope.

Returns:
  a writable location in the file system or `null`